<div {{did-insert this.setup}} class="space-template-selector" ...attributes>
  {{#each this.spaces as |space|}}
    <div class="space-container {{if (eq @value space.id) 'selected'}}">
      <div class="space-cover rounded-2" style={{space.cssCover}}></div>

      <div class="space-name">
        {{space.name}}
      </div>
      <div class="space-description">
        {{space.description}}
      </div>

      <div class="m-3">
        <a class="preview-link" href="https://{{space.domain}}" target="_blank" rel="noopener noreferrer">{{t "preview"}}</a>
      </div>

      <div class="m-3">
        <button class="btn btn-select {{if (eq @value space.id) 'btn-success' 'btn-outline-secondary'}}" type="button" {{on "click" (fn this.select space)}}>
          {{t "select"}}
        </button>
      </div>
    </div>
  {{/each}}
</div>